package com.hxhq.util;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

/**
 * @author zhangjing
 * @date 2026/01/30 14:50
 * @description
 */
public class TimeUtil {
    public static Date getDate(LocalDateTime localDateTime){
        if (localDateTime==null){
            return null;
        }
        // 转换为 Date（使用系统默认时区）
        Date date = Date.from(localDateTime.atZone(ZoneId.systemDefault()).toInstant());
        return date;
    };

    public static Date getDate(LocalDate localDate){
        if (localDate == null) {
            return null;
        }
        // 将 LocalDate 转为 LocalDateTime（默认时间为 00:00:00）
        LocalDateTime localDateTime = localDate.atStartOfDay();
        // 转换为 Date（使用系统默认时区）
        return Date.from(localDateTime.atZone(ZoneId.systemDefault()).toInstant());
    };
}
